using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RSSMA_PULM_Example
{
    public partial class DlgTrigger : Form
    {
        public int Mode
        {
            get { return _mode.SelectedIndex; }
            set 
            { 
                _mode.SelectedIndex = value;

                int nIndex = _mode.SelectedIndex;
                _slope.Enabled = nIndex == 1;
                _polarity.Enabled = nIndex == 2;
            }
        }
        public int Slope
        {
            get { return _slope.SelectedIndex; }
            set { _slope.SelectedIndex = value; }
        }
        public int Polarity
        {
            get { return _polarity.SelectedIndex; }
            set { _polarity.SelectedIndex = value; }
        }
        public DlgTrigger()
        {
            InitializeComponent();
        }

        private void OnChangeMode(object sender, EventArgs e)
        {
            int nIndex = _mode.SelectedIndex;
            _slope.Enabled      = nIndex == 1;
            _polarity.Enabled   = nIndex == 2;
        }

    }
}